RoutesCustomEntities module

CustomEntities routes

URLs the CustomEntities module answers, their parameters and the variables each view receives.

View cdna-admin screens of this module.

Admin view

GET /cdna-admin/custom-entities/add-definition/{parent.id} addDefinition

Add a new record. Assigns an empty record to the template.

Path parameters parent.id matches \d+

The admin template receives
VariableTypeDescription
$definition Definition Single (empty) Definition record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/custom-entities/definition/{id}/{revision.id} editDefinition

Retrieve a single record and display the edit page for the record

Path parameters id matches \d+revision.id matches \d+

The admin template receives
VariableTypeDescription
$definition Definition Retrieved Definition record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/custom-entities/definitions manageDefinitions

Retrieve available records and assign them to the template for editing.

The admin template receives
VariableTypeDescription
$definitions Collection<Definition> Collection of Definitions

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/custom-entities/{definition.identifier}/add-record/{parent.id} addRecord

Add a new record. Assigns an empty record to the template.

Path parameters definition.identifier matches [a-zA-Z][a-zA-Z\-_0-9]+parent.id matches \d+

The admin template receives
VariableTypeDescription
$record Record Single (empty) Record record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/custom-entities/{definition.identifier}/record/{id}/{revision.id} editRecord

Retrieve a single record and display the edit page for the record

Path parameters definition.identifier matches [a-zA-Z][a-zA-Z\-_0-9]+id matches \d+revision.id matches \d+

The admin template receives
VariableTypeDescription
$record Record Retrieved Record record

Common variables such as $_url, $_request and $_menu are available too. Global template variables

GET /cdna-admin/custom-entities/{definition.identifier}/records manageRecords

Retrieve available records and assign them to the template for editing.

Path parameters definition.identifier matches [a-zA-Z][a-zA-Z\-_0-9]+

The admin template receives
VariableTypeDescription
$records Collection<Record> Collection of Records

Common variables such as $_url, $_request and $_menu are available too. Global template variables

Only GET routes list their variables.